> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get base workflow active snapshot

> Get the currently active (published) snapshot of a workflow. Returns the version that is actually running, as opposed to the draft version returned by getWorkflow.



## OpenAPI

````yaml /swagger.json get /base/{baseId}/workflow/{workflowId}/active-snapshot
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /base/{baseId}/workflow/{workflowId}/active-snapshot:
    get:
      tags:
        - automation
      description: >-
        Get the currently active (published) snapshot of a workflow. Returns the
        version that is actually running, as opposed to the draft version
        returned by getWorkflow.
      parameters:
        - schema:
            type: string
          required: true
          name: baseId
          in: path
        - schema:
            type: string
          required: true
          name: workflowId
          in: path
      responses:
        '200':
          description: The active snapshot of the workflow
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: a unique identifier for the workflow
                  baseId:
                    type: string
                    description: the base id of the workflow
                  name:
                    type: string
                    description: the name of the workflow
                  description:
                    type: string
                    description: description of the workflow
                  hasDraft:
                    type: boolean
                    description: has draft of the workflow
                  isActive:
                    type: boolean
                    description: is active of the workflow
                  edges:
                    type: array
                    items:
                      type: object
                      properties:
                        source:
                          type: string
                        target:
                          type: string
                      required:
                        - source
                        - target
                    description: edges of the nodes
                  nodes:
                    type: array
                    items:
                      type: object
                    description: nodes list include trigger and actions
                  createdBy:
                    type: string
                    description: created by user id
                  createdTime:
                    type: string
                    description: created time of the workflow
                  lastModifiedTime:
                    type: string
                    description: last modified time of the workflow
                  lastModifiedBy:
                    type: string
                    description: last modified by user id
                  activeUser:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      email:
                        type: string
                      avatar:
                        type: string
                        nullable: true
                    required:
                      - id
                      - name
                      - email
                    description: active user of the workflow
                required:
                  - id
                  - baseId
                  - edges
                  - nodes
                  - createdBy
                  - createdTime
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/active-snapshot \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/active-snapshot';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/active-snapshot',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/active-snapshot",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````